curl --request POST \
--url https://api.acedata.cloud/midjourney/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A cat sitting on a table",
"video_id": "<string>",
"video_index": 123,
"loop": true,
"image_url": "<string>",
"end_image_url": "<string>",
"callback_url": "<string>",
"async": true
}
'import requests
url = "https://api.acedata.cloud/midjourney/videos"
payload = {
"prompt": "A cat sitting on a table",
"video_id": "<string>",
"video_index": 123,
"loop": True,
"image_url": "<string>",
"end_image_url": "<string>",
"callback_url": "<string>",
"async": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A cat sitting on a table',
video_id: '<string>',
video_index: 123,
loop: true,
image_url: '<string>',
end_image_url: '<string>',
callback_url: '<string>',
async: true
})
};
fetch('https://api.acedata.cloud/midjourney/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"actions": [
"upscale1",
"upscale2",
"upscale3",
"upscale4",
"reroll",
"variation1",
"variation2",
"variation3",
"variation4"
],
"success": true,
"task_id": "27a1128f-14b5-440e-a82d-510c81e6fcd4",
"image_id": "1211290228438868029",
"progress": 100,
"image_url": "https://midjourney.cdn.acedata.cloud/attachments/1219474225119887443/1211290228438868029/lwilson_A_cat_sitting_on_a_table_id2079872_dbe8e8a2-cec8-4e54-bd9d-4c2f8bfb919f.png?ex=65eda8ef&is=65db33ef&hm=2cec373068f121f3d2ecf43280810fe17b641527b87716e100401d299c8e0845&width=1024&height=1024",
"image_width": 1024,
"image_height": 1024,
"raw_image_url": "https://midjourney.cdn.acedata.cloud/attachments/1219474225119887443/1211290228438868029/lwilson_A_cat_sitting_on_a_table_id2079872_dbe8e8a2-cec8-4e54-bd9d-4c2f8bfb919f.png?ex=65eda8ef&is=65db33ef&hm=2cec373068f121f3d2ecf43280810fe17b641527b87716e100401d299c8e0845&",
"raw_image_width": 2048,
"raw_image_height": 2048
}{
"error": {
"code": "bad_request",
"message": "The json payload is not valid to request the API"
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "forbidden",
"message": "Sorry! Our Al moderators feel your prompt might be against our community standards."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "Timeout to generate the image."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Midjourney Videos
curl --request POST \
--url https://api.acedata.cloud/midjourney/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A cat sitting on a table",
"video_id": "<string>",
"video_index": 123,
"loop": true,
"image_url": "<string>",
"end_image_url": "<string>",
"callback_url": "<string>",
"async": true
}
'import requests
url = "https://api.acedata.cloud/midjourney/videos"
payload = {
"prompt": "A cat sitting on a table",
"video_id": "<string>",
"video_index": 123,
"loop": True,
"image_url": "<string>",
"end_image_url": "<string>",
"callback_url": "<string>",
"async": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A cat sitting on a table',
video_id: '<string>',
video_index: 123,
loop: true,
image_url: '<string>',
end_image_url: '<string>',
callback_url: '<string>',
async: true
})
};
fetch('https://api.acedata.cloud/midjourney/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"actions": [
"upscale1",
"upscale2",
"upscale3",
"upscale4",
"reroll",
"variation1",
"variation2",
"variation3",
"variation4"
],
"success": true,
"task_id": "27a1128f-14b5-440e-a82d-510c81e6fcd4",
"image_id": "1211290228438868029",
"progress": 100,
"image_url": "https://midjourney.cdn.acedata.cloud/attachments/1219474225119887443/1211290228438868029/lwilson_A_cat_sitting_on_a_table_id2079872_dbe8e8a2-cec8-4e54-bd9d-4c2f8bfb919f.png?ex=65eda8ef&is=65db33ef&hm=2cec373068f121f3d2ecf43280810fe17b641527b87716e100401d299c8e0845&width=1024&height=1024",
"image_width": 1024,
"image_height": 1024,
"raw_image_url": "https://midjourney.cdn.acedata.cloud/attachments/1219474225119887443/1211290228438868029/lwilson_A_cat_sitting_on_a_table_id2079872_dbe8e8a2-cec8-4e54-bd9d-4c2f8bfb919f.png?ex=65eda8ef&is=65db33ef&hm=2cec373068f121f3d2ecf43280810fe17b641527b87716e100401d299c8e0845&",
"raw_image_width": 2048,
"raw_image_height": 2048
}{
"error": {
"code": "bad_request",
"message": "The json payload is not valid to request the API"
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "forbidden",
"message": "Sorry! Our Al moderators feel your prompt might be against our community standards."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "Timeout to generate the image."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorizações
API token from https://platform.acedata.cloud
Cabeçalhos
Midjourney Videos Param Accept
application/json, application/x-ndjson Corpo
Midjourney Videos Action
generate, extend Midjourney Videos Mode
fast, turbo Midjourney Videos Resolution
480p, 720p Midjourney Videos Prompt
"A cat sitting on a table"
Midjourney Videos Video Id
Midjourney Videos Video Index
Midjourney Videos Loop
Midjourney Videos Image Url
Midjourney Videos End Image Url
Midjourney Videos Callback Url
Midjourney Videos Async
Resposta
Midjourney Videos Response 200
Midjourney Videos Response 200 Actions
Midjourney Videos Response 200 Success
Midjourney Videos Response 200 Task Id
Midjourney Videos Response 200 Image Id
Midjourney Videos Response 200 Progress
Midjourney Videos Response 200 Image Url
Midjourney Videos Response 200 Image Width
Midjourney Videos Response 200 Image Height
Midjourney Videos Response 200 Raw Image Url
Midjourney Videos Response 200 Raw Image Width
Midjourney Videos Response 200 Raw Image Height
Esta página foi útil?

